Index: trunk/src/series/LIF_series.m
===================================================================
--- trunk/src/series/LIF_series.m	(revision 922)
+++ trunk/src/series/LIF_series.m	(revision 924)
@@ -4,5 +4,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/aver_stat.m
===================================================================
--- trunk/src/series/aver_stat.m	(revision 922)
+++ trunk/src/series/aver_stat.m	(revision 924)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/aver_synchro.m
===================================================================
--- trunk/src/series/aver_synchro.m	(revision 922)
+++ trunk/src/series/aver_synchro.m	(revision 924)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/beam_forming.m
===================================================================
--- trunk/src/series/beam_forming.m	(revision 922)
+++ trunk/src/series/beam_forming.m	(revision 924)
@@ -1,4 +1,4 @@
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/calc_background.m
===================================================================
--- trunk/src/series/calc_background.m	(revision 922)
+++ trunk/src/series/calc_background.m	(revision 924)
@@ -33,5 +33,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/check_data_files.m
===================================================================
--- trunk/src/series/check_data_files.m	(revision 922)
+++ trunk/src/series/check_data_files.m	(revision 924)
@@ -33,5 +33,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/check_peaklock.m
===================================================================
--- trunk/src/series/check_peaklock.m	(revision 922)
+++ trunk/src/series/check_peaklock.m	(revision 924)
@@ -46,5 +46,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/civ2vel_3C.m
===================================================================
--- trunk/src/series/civ2vel_3C.m	(revision 922)
+++ trunk/src/series/civ2vel_3C.m	(revision 924)
@@ -34,5 +34,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/civ_input.m
===================================================================
--- trunk/src/series/civ_input.m	(revision 922)
+++ trunk/src/series/civ_input.m	(revision 924)
@@ -10,5 +10,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/civ_series.m
===================================================================
--- trunk/src/series/civ_series.m	(revision 922)
+++ trunk/src/series/civ_series.m	(revision 924)
@@ -28,19 +28,21 @@
 %                      .Patch2:
 
-%AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
-%  Copyright 2011-2015, LEGI / CNRS UJF G-INP, Joel.Sommeria@legi.grenoble-inp.fr
-%AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
-%     This is part of the toolbox UVMAT.
+%=======================================================================
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+%   http://www.legi.grenoble-inp.fr
+%   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
+%
+%     This file is part of the toolbox UVMAT.
 %
 %     UVMAT is free software; you can redistribute it and/or modify
-%     it under the terms of the GNU General Public License as published by
-%     the Free Software Foundation; either version 2 of the License, or
-%     (at your option) any later version.
+%     it under the terms of the GNU General Public License as published
+%     by the Free Software Foundation; either version 2 of the license,
+%     or (at your option) any later version.
 %
 %     UVMAT is distributed in the hope that it will be useful,
 %     but WITHOUT ANY WARRANTY; without even the implied warranty of
 %     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-%     GNU General Public License (open UVMAT/COPYING.txt) for more details.
-%AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+%     GNU General Public License (see LICENSE.txt) for more details.
+%=======================================================================
 
 function [Data,errormsg,result_conv]= civ_series(Param)
Index: trunk/src/series/extract_rdvision.m
===================================================================
--- trunk/src/series/extract_rdvision.m	(revision 922)
+++ trunk/src/series/extract_rdvision.m	(revision 924)
@@ -41,5 +41,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/float_tracking.m
===================================================================
--- trunk/src/series/float_tracking.m	(revision 922)
+++ trunk/src/series/float_tracking.m	(revision 924)
@@ -59,5 +59,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima2vol.m
===================================================================
--- trunk/src/series/ima2vol.m	(revision 922)
+++ trunk/src/series/ima2vol.m	(revision 924)
@@ -16,5 +16,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima_levels.m
===================================================================
--- trunk/src/series/ima_levels.m	(revision 922)
+++ trunk/src/series/ima_levels.m	(revision 924)
@@ -42,5 +42,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima_levels_batch.m
===================================================================
--- trunk/src/series/ima_levels_batch.m	(revision 922)
+++ trunk/src/series/ima_levels_batch.m	(revision 924)
@@ -15,5 +15,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/ima_threshold.m
===================================================================
--- trunk/src/series/ima_threshold.m	(revision 922)
+++ trunk/src/series/ima_threshold.m	(revision 924)
@@ -59,5 +59,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/lumin_calib.m
===================================================================
--- trunk/src/series/lumin_calib.m	(revision 922)
+++ trunk/src/series/lumin_calib.m	(revision 924)
@@ -3,5 +3,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/merge_proj.m
===================================================================
--- trunk/src/series/merge_proj.m	(revision 922)
+++ trunk/src/series/merge_proj.m	(revision 924)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/movie2png.m
===================================================================
--- trunk/src/series/movie2png.m	(revision 922)
+++ trunk/src/series/movie2png.m	(revision 924)
@@ -31,5 +31,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/particle_tracking.m
===================================================================
--- trunk/src/series/particle_tracking.m	(revision 922)
+++ trunk/src/series/particle_tracking.m	(revision 924)
@@ -59,5 +59,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/stereo_civ.m
===================================================================
--- trunk/src/series/stereo_civ.m	(revision 922)
+++ trunk/src/series/stereo_civ.m	(revision 924)
@@ -21,20 +21,22 @@
 %     .Patch2:
 % ncfile: name of a netcdf file to be created for the result (extension .nc)
+
+%=======================================================================
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
+%   http://www.legi.grenoble-inp.fr
+%   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
 %
-%AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
-%  Copyright 2011-2015, LEGI / CNRS UJF G-INP, Joel.Sommeria@legi.grenoble-inp.fr
-%AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
-%     This is part of the toolbox UVMAT.
-% 
+%     This file is part of the toolbox UVMAT.
+%
 %     UVMAT is free software; you can redistribute it and/or modify
-%     it under the terms of the GNU General Public License as published by
-%     the Free Software Foundation; either version 2 of the License, or
-%     (at your option) any later version.
-% 
+%     it under the terms of the GNU General Public License as published
+%     by the Free Software Foundation; either version 2 of the license,
+%     or (at your option) any later version.
+%
 %     UVMAT is distributed in the hope that it will be useful,
 %     but WITHOUT ANY WARRANTY; without even the implied warranty of
 %     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-%     GNU General Public License (open UVMAT/COPYING.txt) for more details.
-%AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
+%     GNU General Public License (see LICENSE.txt) for more details.
+%=======================================================================
 
 function [Data,errormsg,result_conv]= stereo_civ(Param)
Index: trunk/src/series/stereo_input.m
===================================================================
--- trunk/src/series/stereo_input.m	(revision 922)
+++ trunk/src/series/stereo_input.m	(revision 924)
@@ -10,5 +10,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/sub_background.m
===================================================================
--- trunk/src/series/sub_background.m	(revision 922)
+++ trunk/src/series/sub_background.m	(revision 924)
@@ -52,5 +52,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/time_series.m
===================================================================
--- trunk/src/series/time_series.m	(revision 922)
+++ trunk/src/series/time_series.m	(revision 924)
@@ -41,5 +41,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/turb_correlation.m
===================================================================
--- trunk/src/series/turb_correlation.m	(revision 922)
+++ trunk/src/series/turb_correlation.m	(revision 924)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/turb_stat.m
===================================================================
--- trunk/src/series/turb_stat.m	(revision 922)
+++ trunk/src/series/turb_stat.m	(revision 924)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/clean_civ_cmx.m
===================================================================
--- trunk/src/series/usr_fct/clean_civ_cmx.m	(revision 922)
+++ trunk/src/series/usr_fct/clean_civ_cmx.m	(revision 924)
@@ -14,5 +14,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/merge_proj_images.m
===================================================================
--- trunk/src/series/usr_fct/merge_proj_images.m	(revision 922)
+++ trunk/src/series/usr_fct/merge_proj_images.m	(revision 924)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/merge_proj_special.m
===================================================================
--- trunk/src/series/usr_fct/merge_proj_special.m	(revision 922)
+++ trunk/src/series/usr_fct/merge_proj_special.m	(revision 924)
@@ -40,5 +40,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/usr_fct/relabel_i_j.m
===================================================================
--- trunk/src/series/usr_fct/relabel_i_j.m	(revision 922)
+++ trunk/src/series/usr_fct/relabel_i_j.m	(revision 924)
@@ -41,5 +41,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr
Index: trunk/src/series/vel2vol.m
===================================================================
--- trunk/src/series/vel2vol.m	(revision 922)
+++ trunk/src/series/vel2vol.m	(revision 924)
@@ -4,5 +4,5 @@
 
 %=======================================================================
-% Copyright 2008-2015, LEGI UMR 5519 / CNRS UJF G-INP, Grenoble, France
+% Copyright 2008-2016, LEGI UMR 5519 / CNRS UGA G-INP, Grenoble, France
 %   http://www.legi.grenoble-inp.fr
 %   Joel.Sommeria - Joel.Sommeria (A) legi.cnrs.fr